#!/usr/bin/env ruby
# -*- encoding: binary -*-

# Example of using IO.splice to copy a file
# This can be significantly faster than IO.copy_stream as data
# is never copied into userspace.

require 'io/splice'

usage = "#$0 SOURCE DEST"
source = ARGV.shift or abort usage
dest = ARGV.shift or abort usage
IO::Splice.copy_stream(source, dest)
